Summary:        Python wrapper for junegunn's fuzzyfinder (fzf)
Name:           python-pyfzf
Version:        0.3.1
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/nk412/pyfzf
Source0:        https://github.com/nk412/pyfzf/archive/refs/tags/%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A python wrapper for junegunn's awesome fzf.

%package -n     python3-pyfzf
Summary:        %{summary}
%{?python_provide:%python_provide python3-pyfzf}

%description -n python3-pyfzf
A python wrapper for junegunn's awesome fzf.

%prep
%autosetup -n  pyfzf-%{version}
# Remove bundled egg-info
rm -rf pyfzf.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-pyfzf
%license LICENSE
%doc README.md
%{python3_sitelib}/pyfzf
%{python3_sitelib}/pyfzf-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Nov 11 2024 Terje Rosten <terjeros@gmail.com> - 0.3.1-1
- Initial package
